[Overview][Resource strings][Constants][Types][Classes][Index] | Reference for unit 'resource' (#fcl-res)

# ENoMoreFreeIDsException

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

There are no more free IDs to use as name for a resource

## Declaration

Source position: resource.pp line 84

`type ENoMoreFreeIDsException = class(EResourceException)`

## Inheritance

`ENoMoreFreeIDsException` |  | There are no more free IDs to use as name for a resource
`EResourceException` |  | Base class for resource-related exceptions
`Exception`
`TObject`

## Description

This exception is raised by TResources.AddAutoID method when it is not possible to generate an ID to use as a name for the given resource, because all possible 65536 IDs are already assigned to resources of the same type as the given one.

## See also

TResources.AddAutoID |  | Adds a resource and gives it a new autogenerated name